import org.apache.hadoop.fs.Path;
import org.apache.hadoop.io.FloatWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.io.BytesWritable;
import org.apache.hadoop.mapreduce.Job;
import org.apache.hadoop.mapreduce.lib.input.FileInputFormat;
import org.apache.hadoop.mapreduce.lib.input.KeyValueTextInputFormat;
import org.apache.hadoop.mapreduce.lib.output.FileOutputFormat;
import org.apache.hadoop.mapreduce.lib.output.SequenceFileAsBinaryOutputFormat;

import org.apache.hadoop.conf.Configured;
import org.apache.hadoop.util.Tool;
import org.apache.hadoop.util.ToolRunner;
import org.apache.hadoop.util.GenericOptionsParser;
import org.apache.hadoop.conf.*;

public class SpendingPattern1c extends Configured implements Tool {

	@Override
	public int run(String[] args) throws Exception {
		Configuration conf = new Configuration();
		//String remainingArgs[] = new GenericOptionsParser(conf, args).getRemainingArgs();
		Job job = JobInit.init (this, getConf (), args);
		if (job == null) {
			return -1;
		}
		/*
		if (args.length != 2) {
			System.err
					.println("Usage: " + this.getClass().getSimpleName () +
					" <generic options> <input path> <output path>");
			System.exit(-1);
		}

		Job job = new Job();
		job.setJarByClass(this.getClass());
		*/
		job.setJobName("Spending Pattern");
		job.setInputFormatClass(KeyValueTextInputFormat.class);
		job.setOutputFormatClass(SequenceFileAsBinaryOutputFormat.class);
		//FileInputFormat.addInputPath(job, new Path(args[0]));
		//FileOutputFormat.setOutputPath(job, new Path(args[1]));

		job.setMapperClass(SpendingPatternMapper1.class);
		job.setReducerClass(SpendingPatternReducer1.class);

		job.setOutputKeyClass(Text.class);
		job.setOutputValueClass(FloatWritable.class);
		return job.waitForCompletion(true) ? 0 : 1;
	}

	public static void main(String[] args) throws Exception {
		int exitCode = ToolRunner.run(new SpendingPattern1c(), args);
		System.exit(exitCode);
	}
}
