import org.apache.hadoop.fs.Path;
import org.apache.hadoop.io.FloatWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.io.BytesWritable;
import org.apache.hadoop.mapreduce.Job;
import org.apache.hadoop.mapreduce.lib.input.FileInputFormat;
import org.apache.hadoop.mapreduce.lib.input.KeyValueTextInputFormat;
import org.apache.hadoop.mapreduce.lib.output.FileOutputFormat;
import org.apache.hadoop.mapreduce.lib.output.SequenceFileAsBinaryOutputFormat;
import org.apache.hadoop.mapreduce.lib.output.SequenceFileOutputFormat;
import org.apache.hadoop.io.compress.*;
import org.apache.hadoop.io.SequenceFile;
public class SpendingPattern1j2 {

  public static void main(String[] args) throws Exception {
    if (args.length != 2) {
      System.err.println("Usage: SpendingPattern <input path> <output path>");
      System.exit(-1);
    }
    
    Job job = Job.getInstance();
    job.setJarByClass(SpendingPattern1j2.class);
    job.setJobName("Spending Pattern");
    job.setInputFormatClass (KeyValueTextInputFormat.class);
    job.setOutputFormatClass (SequenceFileAsBinaryOutputFormat.class);
    
    FileInputFormat.addInputPath(job, new Path(args[0]));
    FileOutputFormat.setOutputPath(job, new Path(args[1]));
    FileOutputFormat.setCompressOutput (job, true);
    FileOutputFormat.setOutputCompressorClass (job, GzipCodec.class);
    SequenceFileAsBinaryOutputFormat.setOutputCompressionType (job, 
    		SequenceFile.CompressionType.BLOCK);

    job.setMapperClass(SpendingPatternMapper1.class);  
    job.setReducerClass(SpendingPatternReducer1.class);
    
    job.setOutputKeyClass(Text.class);
    job.setOutputValueClass(FloatWritable.class);
    
    System.exit(job.waitForCompletion(true) ? 0 : 1);
  }
}
